/* ========================  Seccion Navbar ============================== */

.navbar {
   font-weight: 500;
   font-size: 0.875rem;
   line-height: 0.875rem;
   background-color: var(--primary);
   box-shadow: 0 1px 6px 0 rgba(0, 0, 0, 0.025);
}

.navbar .navbar-brand {
   padding-top: 0.25rem;
   padding-bottom: 0.25rem;
}

.navbar .logo-image img {
   width: 108px;
   height: 32px;
}
/* logo color */
.navbar .logo-text {
   color: #fff;
   font-weight: 500;
   line-height: 1rem;
   font-size: 1.575rem;
   text-decoration: none;
}

.offcanvas-collapse {
   position: fixed;
   top: 2.75rem; /* adjusts the height between the top of the page and the offcanvas menu */
   bottom: 0;
   left: 100%;
   width: 100%;
   overflow-y: auto;
   visibility: hidden;
   padding-right: 1rem;
   padding-left: 1rem;
   background-color: var(--primary);
   transition: transform 0.2s ease-in-out, visibility 0.2s ease-in-out;
}

.offcanvas-collapse.open {
   margin-top: 20px;
   visibility: visible;
   transform: translateX(-100%);
}

.navbar .navbar-nav {
   margin-top: 0.75rem;
   margin-bottom: 0.5rem;
}

.navbar .dropdown-menu {
   border: none;
   margin-top: 0.25rem;
   margin-bottom: 0.25rem;
   background-color: var(--primary);
}

.navbar .dropdown-item {
   color: #eee;
   font-weight: 500;
   font-size: 0.875rem;
   line-height: 0.875rem;
   padding-top: 0.625rem;
   text-decoration: none;
   padding-bottom: 0.625rem;
}

.navbar .dropdown-item:hover {
   background-color: var(--primary);
}

.navbar .dropdown-divider {
   width: 100%;
   height: 1px;
   border: none;
   margin: 0.5rem auto 0.5rem auto;
   background-color: var(--primary-light);
}

.navbar .nav-item .nav-link {
   color: #bf38f5;
   text-decoration: none;
   padding-top: 0.625rem;
   padding-bottom: 0.625rem;
   transition: all 0.2s ease;
}

.navbar .fa-stack {
   width: 2em;
   font-size: 0.75rem;
   margin-right: 0.25rem;
}

.navbar .fa-stack-2x {
   background: var(--primary-light);
   background-clip: text;
   -webkit-background-clip: text;
   -webkit-text-fill-color: transparent;
   transition: all 0.2s ease;
}

.navbar .fa-stack-1x {
   color: var(--primary);
   transition: all 0.2s ease;
}

.navbar .fa-stack:hover .fa-stack-2x {
   color: var(--color-menu);
}

.navbar .fa-stack:hover .fa-stack-1x {
   color: var(--color-menu);
}

.navbar .fa-stack:hover .fa-stack-1x {
   color: var(--color-menu);
}

.navbar .navbar-toggler {
   padding: 0;
   border: none;
   font-size: 1.25rem;
}

/*     Button     */

.btn {
   color: white;
   border-radius: 0;
   border-width: 2px;
   padding: 10px 30px;
   border-image-slice: 1;
   background-image: none;
   background: transparent;
   border-image-source: var(--bottomcolor);
   box-shadow: 5px 5px 0px 0px var(--bottomcolor);
}

.btn:hover {
   color: white;
   box-shadow: none;
   border-radius: 0;
   padding: 10px 30px;
   transform: translate(5px, 5px);
}

/* Dropdown Menu */
.navbar .dropdown .dropdown-menu {
   animation: fadeDropdown 0.2s; /* required for the fade animation */
}

@-webkit-keyframes fadeDropdown {
   0% {
      opacity: 0;
   }

   100% {
      opacity: 1;
   }
}

@keyframes fadeDropdown {
   0% {
      opacity: 0;
   }

   100% {
      opacity: 1;
   }
}

/*     Back To Top Button     */

#myBtn {
   z-index: 99;
   right: 20px;
   width: 52px;
   height: 52px;
   bottom: 20px;
   border: none;
   outline: none;
   display: none;
   position: fixed;
   cursor: pointer;
   border-radius: 50%;
   background-color: #9d4edd;
}

#myBtn:hover {
   background-color: #e5bcf5;
}

#myBtn img {
   width: 18px;
   margin-left: 0.125rem;
   margin-bottom: 0.25rem;
}

/*     Media Queries     */

@media (min-width: 992px) {
   .slider-1 .swiper-container {
      width: 92%;
   }

   .slider-1 .swiper-button-prev {
      left: -16px;
      width: 22px;
      background-size: 22px 34px;
   }

   .slider-1 .swiper-button-next {
      right: -16px;
      width: 22px;
      background-size: 22px 34px;
   }

   /* Navigation */
   .navbar {
      box-shadow: none;
      transition: all 0.2s;
      padding-top: 1.75rem;
      background-color: var(--primary);
   }

   .navbar.top-nav-collapse {
      padding-top: 0.5rem;
      padding-bottom: 0.5rem;
      background-color: var(--primary);
      box-shadow: 0 3px 6px 0 rgba(0, 0, 0, 0.025);
   }

   .offcanvas-collapse {
      position: static;
      top: auto;
      bottom: auto;
      left: auto;
      width: auto;
      padding-right: 0;
      padding-left: 0;
      background-color: transparent;
      overflow-y: visible;
      visibility: visible;
   }

   .offcanvas-collapse.open {
      transform: none;
   }

   .navbar .navbar-nav {
      margin-top: 0;
      margin-bottom: 0;
   }

   .navbar .nav-item .nav-link {
      padding-right: 0.75rem;
      padding-left: 0.75rem;
   }

   .navbar .dropdown-menu {
      padding-top: 0.75rem;
      padding-bottom: 0.875rem;
      box-shadow: 0 3px 3px 1px rgba(0, 0, 0, 0.08);
   }

   .navbar .dropdown-divider {
      width: 90%;
   }

   .navbar .social-icons {
      margin-left: 0.5rem;
   }

   .navbar .fa-stack {
      margin-right: 0;
      margin-left: 0.25rem;
   }
}

@media only screen and (max-width: 540px) {
   h1 {
      font-size: 30px;
   }

   .para {
      width: 100%;
   }

   .swiper-container {
      width: 92%;
   }

   .swiper-button-prev {
      left: -16px;
      width: 22px;
      background-size: 22px 34px;
   }

   .swiper-button-next {
      right: -16px;
      width: 22px;
      background-size: 22px 34px;
   }
}
